Index: dbus
===================================================================
--- dbus.orig	(Revision 1421)
+++ dbus	(Arbeitskopie)
@@ -67,7 +67,15 @@
   fi
 
   # Get the list of services active in this runlevel
-  services=$(grep -l "^# Required-Start:.*dbus" /etc/rc${r}.d/S??* | sort $param)
+  if [ -d /etc/rc${r}.d/ ] ; then # sysv-rc
+    services=$(grep -l "^# Required-Start:.*dbus" /etc/rc${r}.d/S??* | sort $param)
+  elif [ -f /etc/runlevel.conf ] ; then # file-rc
+    list=$(grep -l "^# Required-Start:.*dbus" /etc/init.d/*)
+    services=$( for i in $list ; do
+      grep -E "^[[:digit:]]{2}[[:space:]]+[0-9,-S]+[[:space:]]+.*${r}.*[[:space:]]+${i}$" /etc/runlevel.conf
+    done  | sort $param | cut -f5 )
+  fi
+  
 
   # Start the services in the correct order
   for i in $services ; do
